<?php

if(isset($_POST["ip"])) {
	$ip = $_POST["ip"];
	$port = $_POST["port"];
	$slot = $_POST["slot"];
} else {
	$ip = "";
	$port = "80";
	$slot = 1;
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<style type="text/css">
		<!--

			body {
				font-family: Arial, sans serif;
			}

			h1, h2 {
				text-align: center;
			}

			hr {
				margin-bottom: 50px;
			}

			th {
				padding-right: 20px;
				text-align: right;
			}

			#caption {
				padding: 50px 0 0 50px;
				font-size: 30px;
			}

			#measurement {
				border: 3px solid #F00;
				font-size: 40px;
				margin: 0 50px;
				padding: 20px;
				text-align: center;
			}

		-->
		</style>
		<title>Temperature Request</title>
	</head>
	<body>
		<h1>Request Data from Web-Thermo-Hygrobarograph</h1>
		<h2>Using the pure.box and PHP</h2>
		<hr />
		<form action="temperature_request.php" method="post">
			<table align="center">
				<tr>
					<th>IP-Address:</th>
					<td>
						<input name="ip" type="text" value="<?php echo $ip; ?>" />
					</td>
				</tr>
				<tr>
					<th>Port:</th>
					<td>
						<input name="port" type="text" value="<?php echo $port; ?>" />
					</td>
				</tr>
				<tr>
					<th>Channel:</th>
					<td>
						<input <?php if($slot == 1) echo "checked"; ?> name="slot" type="radio" value="1" />1&nbsp;
						<input <?php if($slot == 2) echo "checked"; ?> name="slot" type="radio" value="2" />2&nbsp;
						<input <?php if($slot == 3) echo "checked"; ?> name="slot" type="radio" value="3" />3&nbsp;
					</td>
				</tr>
				<tr>
					<td align="center" colspan="2">
						<input type="submit" value="Request Data" />
					</td>
				</tr>
			</table>
		</form>
		<div id="caption">
			Measured Value:
		</div>
		<div id="measurement">
<?php

if($ip) {
	$handle = @fsockopen($ip, $port, $errno, $errstr, 3);
	if (!$handle)
		echo "Connection Error!";
	else {
		$response = "";

		fwrite($handle, "GET /single" . $slot);
		do {
			$data = fgets($handle, 2);
			if(ord($data) != 0)
				$response = $response . utf8_encode($data);
			else
				break;
		} while(true);
		fclose($handle);

		$parts = explode(";", $response);
		echo "<b>" . $parts[count($parts) - 1] . "</b> (" . $parts[count($parts) - 2] . ")";
	}
} else
	echo "---";

?>
		</div>
	</body>
</html>